package ch.hslu.appe.inventory.model;

import java.util.Date;

import ch.hslu.appe.order.model.OrderState;

/**
 * Contains all information about one StockOrder.
 * @author Felix Rohrer <felix.rohrer@stud.hslu.ch>
 */
public final class StockOrder {

    private int id;
    private int productId;
    private int amount;
    private OrderState state;
    private int typ;
    private Date orderDate;
    private Date deliverDate;

    /**
     * Constructor.
     */
    public StockOrder() {
        // empty
    }

    /**
     * Returns the available amount.
     * @return the amount
     */
    public int getAmount() {
        return amount;
    }

    /**
     * Returns the DeliverDate.
     * @return the deliverDate
     */
    public Date getDeliverDate() {
        return deliverDate;
    }

    /**
     * Returns the id.
     * @return the id
     */
    public int getId() {
        return id;
    }

    /**
     * Returns the OrderDate.
     * @return the orderDate
     */
    public Date getOrderDate() {
        return orderDate;
    }

    /**
     * Returns the ProductId.
     * @return the ProductId
     */
    public int getProductId() {
        return productId;
    }

    /**
     * Returns the State.
     * @return the state
     */
    public OrderState getState() {
        return state;
    }

    /**
     * Returns the Typ.
     * @return the typ
     */
    public int getTyp() {
        return typ;
    }

    /**
     * Sets the available amount.
     * @param amount the amount to set
     */
    public void setAmount(final int amount) {
        this.amount = amount;
    }

    /**
     * Sets the deliverDate.
     * @param deliverDate the deliverDate to set
     */
    public void setDeliverDate(final Date deliverDate) {
        this.deliverDate = deliverDate;
    }

    /**
     * Sets the id.
     * @param id the id to set
     */
    public void setId(final int id) {
        this.id = id;
    }

    /**
     * Sets the orderDate.
     * @param orderDate the orderDate to set
     */
    public void setOrderDate(final Date orderDate) {
        this.orderDate = orderDate;
    }

    /**
     * Sets the ProductId.
     * @param productId the productId to set
     */
    public void setProductId(final int productId) {
        this.productId = productId;
    }

    /**
     * Sets the State.
     * @param state the state to set
     */
    public void setState(final OrderState state) {
        this.state = state;
    }

    /**
     * Sets the Typ.
     * @param typ the typ to set
     */
    public void setTyp(final int typ) {
        this.typ = typ;
    }

    @Override
    public String toString() {
        return "Id: " + id + ", ProductId: " + productId + ", Amount: " + amount + ", DeliverDate: " + deliverDate;
    }
}
